<?php

namespace Artemis\Faq\Models;

use Artemis\Faq\Traits\HasTablePrefix;
use Illuminate\Database\Eloquent\Model;

class Vote extends Model
{
    use HasTablePrefix;
    
    protected $fillable = [
        'user_id',
        'vote_type',
        'votable_id',
        'votable_type'
    ];

    public function votable()
    {
        return $this->morphTo();
    }
}
